package com.cab.model;

import java.util.Date;

public class User {
    private Long id;

    private String username;

    private String name;
    
    private String token;

    private String password;

    private String phone;

    private String threeLoginType;

    private String openid;

    private String email;

    private Date lastLogin;

    private String registIp;

    private String avatar;

    private String age;

    private Integer isFemale;

    private Integer fullyRegistered;

    private String ckuInfo;
    
    private String vipNum;
    
    private String realName;
    
    private Integer provinceId;
    
    private Integer cityId;
    
    private Integer areaId;
    
    private String addAess;
    
    private String cardId;
    
    private String payPassWord;
    
    private String randomCode;
    
    private Date codeTime;
    
    private boolean hasPpsw;
    
	public String toOauthString(){
		String result = "{\"openId\":\""+id+"\",\"nickname\":\""+name+"\",\"avatar\":\""+avatar+"\",\"age\":"+age+"}";
		return result;
	}
	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getThreeLoginType() {
        return threeLoginType;
    }
    public void setThreeLoginType(String threeLoginType) {
        this.threeLoginType = threeLoginType;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid == null ? null : openid.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public Date getLastLogin() {
        return lastLogin;
    }

    public void setLastLogin(Date lastLogin) {
        this.lastLogin = lastLogin;
    }

    public String getRegistIp() {
        return registIp;
    }

    public void setRegistIp(String registIp) {
        this.registIp = registIp == null ? null : registIp.trim();
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar == null ? null : avatar.trim();
    }

    public Integer getIsFemale() {
        return isFemale;
    }

    public void setIsFemale(Integer isFemale) {
        this.isFemale = isFemale;
    }

    public Integer getFullyRegistered() {
        return fullyRegistered;
    }

    public void setFullyRegistered(Integer fullyRegistered) {
        this.fullyRegistered = fullyRegistered;
    }

    public String getCkuInfo() {
        return ckuInfo;
    }

    public void setCkuInfo(String ckuInfo) {
        this.ckuInfo = ckuInfo == null ? null : ckuInfo.trim();
    }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name == null ? null : name.trim();
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getVipNum() {
		return vipNum;
	}

	public void setVipNum(String vipNum) {
		this.vipNum = vipNum;
	}

	public Integer getAreaId() {
		return areaId;
	}

	public void setAreaId(Integer areaId) {
		this.areaId = areaId;
	}

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public Integer getProvinceId() {
		return provinceId;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	public String getAddAess() {
		return addAess;
	}

	public void setAddAess(String addAess) {
		this.addAess = addAess;
	}

	public String getCardId() {
		return cardId;
	}

	public String getPayPassWord() {
		return payPassWord;
	}

	public String getRandomCode() {
		return randomCode;
	}

	public void setCardId(String cardId) {
		this.cardId = cardId;
	}

	public void setPayPassWord(String payPassWord) {
		this.payPassWord = payPassWord;
	}

	public void setRandomCode(String randomCode) {
		this.randomCode = randomCode;
	}

	public Date getCodeTime() {
		return codeTime;
	}

	public void setCodeTime(Date codeTime) {
		this.codeTime = codeTime;
	}

	public boolean isHasPpsw() {
		return hasPpsw;
	}

	public void setHasPpsw(boolean hasPpsw) {
		this.hasPpsw = hasPpsw;
	}
	@Override
	public String toString() {
		return "User [id=" + id + ", username=" + username + ", name=" + name
				+ ", token=" + token + ", password=" + password + ", phone="
				+ phone + ", threeLoginType=" + threeLoginType + ", openid="
				+ openid + ", email=" + email + ", lastLogin=" + lastLogin
				+ ", registIp=" + registIp + ", avatar=" + avatar + ", age="
				+ age + ", isFemale=" + isFemale + ", fullyRegistered="
				+ fullyRegistered + ", ckuInfo=" + ckuInfo + ", vipNum="
				+ vipNum + ", realName=" + realName + ", provinceId="
				+ provinceId + ", cityId=" + cityId + ", areaId=" + areaId
				+ ", addAess=" + addAess + ", cardId=" + cardId
				+ ", payPassWord=" + payPassWord + ", randomCode=" + randomCode
				+ ", codeTime=" + codeTime + ", hasPpsw=" + hasPpsw + "]";
	}
	
	
	
}